//import 'dart:async';
//
//import 'package:flutter/services.dart';
//
//class BackgroundLocations {
//  static const MethodChannel _channel =
//      const MethodChannel('background_locations');
//
//  static Future<String> get platformVersion async {
//    final String version = await _channel.invokeMethod('getPlatformVersion');
//    return version;
//  }
//}

library background_locations;

import 'dart:async';
import 'dart:ui';

import 'package:flutter/foundation.dart';
import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:device_info/device_info.dart';

part 'background_location.dart';

part 'models/config.dart';

part 'models/event.dart';

part 'models/geofence_event.dart';

part 'models/location.dart';

part 'models/notification.dart';

part 'models/state.dart';

const _PLUGIN_PATH = "com.sbh/background_locations";

// MethodChannel
const MethodChannel _methodChannel =
const MethodChannel("$_PLUGIN_PATH/methods");
